OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.VertexWeighting

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTVertexWeighting :: MonadIO m => m Bool
- gl_EXT_vertex_weighting :: Bool
- pattern GL_CURRENT_VERTEX_WEIGHT_EXT :: GLenum
- pattern GL_MODELVIEW0_EXT :: GLenum
- pattern GL_MODELVIEW0_MATRIX_EXT :: GLenum
- pattern GL_MODELVIEW0_STACK_DEPTH_EXT :: GLenum
- pattern GL_MODELVIEW1_EXT :: GLenum
- pattern GL_MODELVIEW1_MATRIX_EXT :: GLenum
- pattern GL_MODELVIEW1_STACK_DEPTH_EXT :: GLenum
- pattern GL_VERTEX_WEIGHTING_EXT :: GLenum
- pattern GL_VERTEX_WEIGHT_ARRAY_EXT :: GLenum
- pattern GL_VERTEX_WEIGHT_ARRAY_POINTER_EXT :: GLenum
- pattern GL_VERTEX_WEIGHT_ARRAY_SIZE_EXT :: GLenum
- pattern GL_VERTEX_WEIGHT_ARRAY_STRIDE_EXT :: GLenum
- pattern GL_VERTEX_WEIGHT_ARRAY_TYPE_EXT :: GLenum
- glVertexWeightPointerEXT :: MonadIO m => GLint -> GLenum -> GLsizei -> Ptr a -> m ()
- glVertexWeightfEXT :: MonadIO m => GLfloat -> m ()
- glVertexWeightfvEXT :: MonadIO m => Ptr GLfloat -> m ()

# Extension Support

glGetEXTVertexWeighting :: MonadIO m => m Bool Source #

Is the EXT_vertex_weighting extension supported?

gl_EXT_vertex_weighting :: Bool Source #

Is the EXT_vertex_weighting extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTVertexWeighting` in those cases instead.

# Enums

pattern GL_CURRENT_VERTEX_WEIGHT_EXT :: GLenum Source #

pattern GL_MODELVIEW0_EXT :: GLenum Source #

pattern GL_MODELVIEW0_MATRIX_EXT :: GLenum Source #

pattern GL_MODELVIEW0_STACK_DEPTH_EXT :: GLenum Source #

pattern GL_MODELVIEW1_EXT :: GLenum Source #

pattern GL_MODELVIEW1_MATRIX_EXT :: GLenum Source #

pattern GL_MODELVIEW1_STACK_DEPTH_EXT :: GLenum Source #

pattern GL_VERTEX_WEIGHTING_EXT :: GLenum Source #

pattern GL_VERTEX_WEIGHT_ARRAY_EXT :: GLenum Source #

pattern GL_VERTEX_WEIGHT_ARRAY_POINTER_EXT :: GLenum Source #

pattern GL_VERTEX_WEIGHT_ARRAY_SIZE_EXT :: GLenum Source #

pattern GL_VERTEX_WEIGHT_ARRAY_STRIDE_EXT :: GLenum Source #

pattern GL_VERTEX_WEIGHT_ARRAY_TYPE_EXT :: GLenum Source #

# Functions

glVertexWeightPointerEXT Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type VertexWeightPointerTypeEXT.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `a`.
-> m () |

glVertexWeightfEXT Source #

Arguments

:: MonadIO m |
=> GLfloat | `weight`.
-> m () |

The vector equivalent of this command is `glVertexWeightfvEXT`.

glVertexWeightfvEXT Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `weight` pointing to `1` element of type `GLfloat`.
-> m () |